#include "../../../lib/std.mi"

function int getCurrentHour();
function int getCurrentMin();

Global Group CGroup;
Global Edit HourE, MinE;
Global Button Toggle_alarm, setAlarm;
Global Text ALStat;
Global String SHour, SMin;
Global Timer checkAl, FlashOffT;
Global Boolean ONOROFF, setAl;
Global AnimatedLayer Flasher;
int getCurrentHour() {
  int hour = (getTimeOfDay()/3600000);
  return hour;
}

int getCurrentMin() {
  int min = ((getTimeOfDay()/60000) - (getCurrentHour()*60));
  return min;
}

System.onScriptLoaded() {
  CGroup = getScriptGroup();
  HourE = CGroup.getObject("edit.hour");
  MinE = CGroup.getObject("edit.min");
  setAlarm = CGroup.getObject("alarm.set");
  Toggle_alarm = CGroup.getObject("alarm.toggle");
  ALStat = CGroup.getObject("alarm.stat");
  group screeng = getContainer("main").getLayout("normal").getObject("group.screen");
  Flasher = screeng.getObject("alarm.flash");
  Flasher.gotoFrame(1);
  Flasher.stop();
  ONOROFF=false;
  setAl=false;
  checkAl = new timer;
  checkAl.setDelay(30000);
  checkAl.stop();
  FlashOffT = new timer;
  FlashOffT.setDelay(60000);
  FlashOffT.stop();

  ALStat.setText("Alarm is currently: Off");
}

System.onStop() {
  Flasher.gotoFrame(1);
  Flasher.stop();
  FlashOffT.stop();
}

setAlarm.onLeftButtonUp(int x, int y) {
  SHour = HourE.getText();
  SMin = MinE.getText();
  setAl=true;
  if(!ONOROFF) {
    ALStat.setText("Alarm is currently: On");
  }
  checkAl.start();
}

checkAl.onTimer() {
  if(integerToString(getCurrentHour()) == SHour) {
    if(integerToString(getCurrentMin()) == SMin) {
      play();
      Flasher.play();
      FlashOffT.start();
      checkAl.stop();
      ALStat.setText("Alarm is currently: Off");
    }
  }
}

FlashOffT.onTimer() {
  FlashOffT.stop();
  Flasher.stop();
  Flasher.gotoFrame(1);
}

Toggle_alarm.onLeftButtonUp(int x, int y) {
  ONOROFF = !ONOROFF;
  if(ONOROFF) {
    ALStat.setText("Alarm is currently: On");
    if(setAl) checkAl.start();
  } else {
    ALStat.setText("Alarm is currently: Off");
    checkAl.stop();
  }
}