#include "../../../lib/std.mi"

function setEQbandsAll(int eq1,int eq2,int eq3,int eq4,int eq5,int eq6,int eq7,int eq8,int eq9,int eq10);
Global Group MainG;
Class Button EQButtons;
Global EQButtons Hall, Room, Arena, Studio, Stad, Space;

System.onScriptLoaded() {
  MainG = getScriptGroup();
  Hall = MainG.getObject("eqb1");
  Room = MainG.getObject("eqb2");
  Arena = MainG.getObject("eqb3");
  Studio = MainG.getObject("eqb4");
  Stad = MainG.getObject("eqb5");
  Space = MainG.getObject("eqb6");
}

EQButtons.onLeftButtonUp(int x, int y) {
  if(EQButtons==Hall) {
    setEQbandsAll(0, 0, 20, 36, 36, 36, 20, 0, 0, 0);
  } else if(EQButtons==Room) {
    setEQbandsAll(-36, 0, 24, 32, 36, 36, 32, 16, 16, 12);
  } else if(EQButtons==Arena) {
    setEQbandsAll(44, 44, 0, 0, 0, 0, 0, 0, 44, 44);
  } else if(EQButtons==Studio) {
    setEQbandsAll(24, 24, 12, -8, -32, -40, -28, -8, 16, 56);
  } else if(EQButtons==Stad) {
    setEQbandsAll(52, 40, 0, -40, -36, 0, 52, 64, 64, 60);
  } else if(EQButtons==Space) {
    setEQbandsAll(44, 36, 0, -52, -36, 8, 60, 88, 68, 32);
  }
}

setEQbandsAll(int eq1,int eq2,int eq3,int eq4,int eq5,int eq6,int eq7,int eq8,int eq9,int eq10) {
  setEqBand(0,eq1);
  setEqBand(1,eq2);
  setEqBand(2,eq3);
  setEqBand(3,eq4);
  setEqBand(4,eq5);
  setEqBand(5,eq6);
  setEqBand(6,eq7);
  setEqBand(7,eq8);
  setEqBand(8,eq9);
  setEqBand(9,eq10);
}