#include "../../../lib/std.mi"

Global Group MainG;
Global Layer AboutL;

System.onScriptLoaded() {
  MainG = getScriptGroup();
  AboutL = MainG.getObject("about");

  int aw = AboutL.getWidth();
  int ah = AboutL.getHeight();

  int newx = (MainG.getWidth()/2) - (aw/2);
  int newy = (MainG.getHeight()/2) - (ah/2);

  AboutL.setXmlParam("x",integerToString(newx));
  AboutL.setXmlParam("y",integerToString(newy));

}

MainG.onResize(int x, int y, int w, int h) {
  int aw = AboutL.getWidth();
  int ah = AboutL.getHeight();

  int newx = (w/2) - (aw/2);
  int newy = (h/2) - (ah/2);

  AboutL.setXmlParam("x",integerToString(newx));
  AboutL.setXmlParam("y",integerToString(newy));
}